#include "vna.h"
#include <uart.h>

// Select the desired UART baud rate here
#define THE_BAUD_RATE 9600
//#define THE_BAUD_RATE 19200
//#define THE_BAUD_RATE 57600
//#define THE_BAUD_RATE 115200 

#if 0
//**************************************************************************
//* USART Test Code Here
//**************************************************************************

printf(" Hello World \r\n");

for (i=0;i<10;i++)
{
putchar('X');
putchar('Y');
putchar('Z');
printf(" This is a test %d times \r\n",i);
} 
    char *temp_ptr = (char *) buffer;
     while(!DataRdyUART1())
    *temp_ptr++ = U1RXREG & 0xFF; /* data byte from HW buffer to SW buffer */

#endif

//**************************************************************************
//* Configure the USART
// the default stdin,stdout are directed to serial port 1
//**************************************************************************
void setup_uart( void )
{
	unsigned int uartmode;
	//uartmode = UART_EN & UART_IDLE_CON & UART_DIS_WAKE &
        //       UART_DIS_LOOPBACK & UART_DIS_ABAUD &
        //       UART_NO_PAR_8BIT & UART_1STOPBIT &
        //       UART_ALTRX_ALTTX;	// use alternate i/o pins

	uartmode = UART_EN & UART_IDLE_CON & UART_DIS_WAKE &
               UART_DIS_LOOPBACK & UART_DIS_ABAUD &
               UART_NO_PAR_8BIT & UART_1STOPBIT;

    U1BRG  = (((FCY/THE_BAUD_RATE) /16) - 1);     /* baud rate */
    U1MODE = uartmode;  /* operation settings */
    U1STA = UART_TX_ENABLE & UART_TX_PIN_NORMAL;   /* TX & RX interrupt modes */
} 
